Package org.eclipse.microprofile.rest.client.tck.providers

# Class TLAsyncInvocationInterceptor

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TLAsyncInvocationInterceptor

All Implemented Interfaces:
  `AsyncInvocationInterceptor`

public class TLAsyncInvocationInterceptor extends Object implements AsyncInvocationInterceptor

## Method Summary

Modifier and Type
Method
Description
`void`
`applyContext()`
`void`
`prepareContext()`
`void`
`removeContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### prepareContext

public void prepareContext()

Specified by:
  `prepareContext` in interface `AsyncInvocationInterceptor`

### applyContext

public void applyContext()

Specified by:
  `applyContext` in interface `AsyncInvocationInterceptor`

### removeContext

public void removeContext()

Specified by:
  `removeContext` in interface `AsyncInvocationInterceptor`